## org.apache.batik.css.dom
Class CSSOMSVGComputedStyle.ComputedCSSPaintValue

    java.lang.Object
      org.apache.batik.css.dom.CSSOMSVGColor
          org.apache.batik.css.dom.CSSOMSVGPaint
              org.apache.batik.css.dom.CSSOMSVGComputedStyle.ComputedCSSPaintValue

All Implemented Interfaces:
  CSSOMSVGColor.ValueProvider, org.w3c.dom.css.CSSValue, org.w3c.dom.css.RGBColor, SVGColor, SVGICCColor, SVGNumberList, SVGPaint

Enclosing class:
  CSSOMSVGComputedStyle

public class CSSOMSVGComputedStyle.ComputedCSSPaintValue
extends CSSOMSVGPaint
implements CSSOMSVGColor.ValueProvider

To manage a computed paint CSSValue.

Nested Class Summary

Nested classes inherited from class org.apache.batik.css.dom.CSSOMSVGPaint
`CSSOMSVGPaint.AbstractModificationHandler, CSSOMSVGPaint.PaintModificationHandler`

Nested classes inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`CSSOMSVGColor.AbstractComponent, CSSOMSVGColor.BlueComponent, CSSOMSVGColor.ColorNumber, CSSOMSVGColor.FloatComponent, CSSOMSVGColor.GreenComponent, CSSOMSVGColor.ModificationHandler, CSSOMSVGColor.RedComponent, CSSOMSVGColor.ValueProvider`

Field Summary
`protected int` `index` The index of the associated value.

Fields inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`blueComponent, greenComponent, handler, iccColors, redComponent, valueProvider`

Fields inherited from interface org.w3c.dom.svg.SVGPaint
`SVG_PAINTTYPE_CURRENTCOLOR, SVG_PAINTTYPE_NONE, SVG_PAINTTYPE_RGBCOLOR, SVG_PAINTTYPE_RGBCOLOR_ICCCOLOR, SVG_PAINTTYPE_UNKNOWN, SVG_PAINTTYPE_URI, SVG_PAINTTYPE_URI_CURRENTCOLOR, SVG_PAINTTYPE_URI_NONE, SVG_PAINTTYPE_URI_RGBCOLOR, SVG_PAINTTYPE_URI_RGBCOLOR_ICCCOLOR`

Fields inherited from interface org.w3c.dom.svg.SVGColor
`SVG_COLORTYPE_CURRENTCOLOR, SVG_COLORTYPE_RGBCOLOR, SVG_COLORTYPE_RGBCOLOR_ICCCOLOR, SVG_COLORTYPE_UNKNOWN`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`CSSOMSVGComputedStyle.ComputedCSSPaintValue(int idx)` Creates a new ComputedCSSPaintValue.

Method Summary
`Value` `getValue()` Returns the Value associated with this object.

Methods inherited from class org.apache.batik.css.dom.CSSOMSVGPaint
`getColorType, getPaintType, getUri, setModificationHandler, setPaint, setUri`

Methods inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`appendItem, clear, getBlue, getColorProfile, getColors, getCssText, getCssValueType, getGreen, getICCColor, getItem, getNumberOfItems, getRed, getRGBColor, initialize, insertItemBefore, removeItem, replaceItem, setColor, setColorProfile, setCssText, setRGBColor, setRGBColorICCColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGColor
`getICCColor, getRGBColor, setColor, setRGBColor, setRGBColorICCColor`

Methods inherited from interface org.w3c.dom.css.CSSValue
`getCssText, getCssValueType, setCssText`

Field Detail

### index

    protected int index

  The index of the associated value.

Constructor Detail

### CSSOMSVGComputedStyle.ComputedCSSPaintValue

    public CSSOMSVGComputedStyle.ComputedCSSPaintValue(int idx)

  Creates a new ComputedCSSPaintValue.

Method Detail

### getValue

    public Value getValue()

  Returns the Value associated with this object.

  Specified by:
    `getValue` in interface `CSSOMSVGColor.ValueProvider`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.